using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class SimpleRadGridTinyInt : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_UpdateCommand(object source, Telerik.Web.UI.GridCommandEventArgs e)
    {
        var checkBox = ((System.Web.UI.WebControls.CheckBox)(((Telerik.Web.UI.GridEditFormItem)(e.Item))["TestBit"].Controls[0])) as CheckBox;
        bool isChecked = checkBox.Checked;
    }
    protected void RadAjaxManager1_AjaxRequest(object sender, Telerik.Web.UI.AjaxRequestEventArgs e)
    {
        if (e.Argument == "InitialPageLoad")
        {
            
            System.Threading.Thread.Sleep(2000);
            var label = RadAjaxLoadingPanel1.FindControl("Label1") as Label;
            label.Text = "something";
        }
    }

    protected void RadGrid1_CustomAggregate(object sender, GridCustomAggregateEventArgs e)
    {
        if (e.Column.UniqueName == "TinyIntValue")
        {
            e.Result = "10";
        }
        if (e.Column.UniqueName == "TinyIntValue2")
        {
            e.Result = "20";
        }
    }
}
